.label-md-right {
  .col-form-label {
    @include mq(md) {
      text-align: right;
    }
  }
}
.has-required-sign {
  .col-form-label {
    &:before {
      content: '*';
      color: $danger;
      margin-right: 2px;
    }
  }
}

.invisible-label .col-form-label {
  visibility: hidden;
}

/**
  * Input
  */
.input-group-text {
  background: #fafafa;
}

/**
  * Checkbox
  */
.custom-checkbox {
  .custom-control-input,
  .custom-control-label {
    cursor: pointer;
  }
}
/**
  * Radio
  */
.custom-radio {
  .custom-control-input,
  .custom-control-label {
    cursor: pointer;
  }
}

/**
  * Select
  */
select {
  cursor: pointer;
}

// ===> For vue-select
.v-select {
  &.vs--open {
    .vs__open-indicator {
      transform: rotate(180deg) scale(0.7);
    }
  }
  .vs__dropdown-toggle {
    height: calc(1.5em + 0.75rem + 2px);
    border: 1px solid $input-border-color;
    background: #fff;
  }
  .vs__search {
    &:-ms-input-placeholder {
      color: $input-placeholder-color;
    }
    &:-moz-placeholder {
      color: $input-placeholder-color;
    }
    &::-moz-placeholder {
      color: $input-placeholder-color;
    }
    &::-webkit-input-placeholder {
      color: $input-placeholder-color;
    }
  }
  .vs__open-indicator {
    transform-origin: center center;
    transform: scale(0.7);
  }
  .vs__clear {
    transform-origin: center center;
    transform: scale(0.9);
  }
}
.input-group > .v-select {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
  margin-bottom: 0;
}
